Public Class frmPmt2

    Private Sub btnCalc_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCalc.Click

        Dim dblLoanAmount As Double
        Dim dblRate As Double
        Dim intNbrMonths As Integer
        Dim dblPayment As Double
        Dim dblTotPaid As Double
        Dim dblCostOfCredit As Double

        dblLoanAmount = Val(txtLoanAmount.Text)
        dblRate = Val(txtRate.Text) / 1200
        intNbrMonths = Val(txtYears.Text) * 12

        dblPayment = Pmt(dblRate, intNbrMonths, -dblLoanAmount)

        dblTotPaid = dblPayment * intNbrMonths
        dblCostOfCredit = dblTotPaid - dblLoanAmount

        lblPayment.Text = Format(dblPayment, "Currency")
        lblTotPaid.Text = Format(dblTotPaid, "Currency")
        lblCostOfCredit.Text = Format(dblCostOfCredit, "Currency")

        btnClear.Focus()

    End Sub

    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click

        txtLoanAmount.Text = ""
        txtRate.Text = ""
        txtYears.Text = ""
        lblPayment.Text = ""
        lblTotPaid.Text = ""
        lblCostOfCredit.Text = ""
        txtLoanAmount.Focus()

    End Sub

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        Me.Close()
    End Sub

    Private Sub txtLoanAmount_GotFocus(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtLoanAmount.GotFocus

        txtLoanAmount.SelectAll()

    End Sub

    Private Sub txtRate_GotFocus(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtRate.GotFocus

        txtRate.SelectAll()

    End Sub

    Private Sub txtYears_GotFocus(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtYears.GotFocus

        txtYears.SelectAll()

    End Sub

    Private Sub txtLoanAmount_KeyPress(ByVal sender As System.Object, _
                                       ByVal e As System.Windows.Forms.KeyPressEventArgs) _
    Handles txtLoanAmount.KeyPress

        e.Handled = Not (Char.IsDigit(e.KeyChar) Or Asc(e.KeyChar) < 32)


    End Sub

    Private Sub txtRate_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtRate.KeyPress

        If Char.IsDigit(e.KeyChar) Or Asc(e.KeyChar) < 32 Then
            e.Handled = False
        ElseIf e.KeyChar = "." Then
            ' allow a decimal point only if one is not already there
            e.Handled = (txtRate.Text.IndexOf(".") > 0)
        Else
            e.Handled = True
        End If

    End Sub

    Private Sub txtYears_KeyPress(ByVal sender As System.Object, _
                                  ByVal e As System.Windows.Forms.KeyPressEventArgs) _
    Handles txtYears.KeyPress

        e.Handled = Not (Char.IsDigit(e.KeyChar) Or Asc(e.KeyChar) < 32)

    End Sub

End Class
